2.6.5-rc2 lots of warnings for dma_error

From: Keith Owens <kaos_at_sgi.com>
Date: 2004-03-22 14:04:34
2.6.5-rc2 generic build, lots of warnings for dma_error.  Latest patch from
http://www.kernel.org/pub/linux/kernel/ports/ia64/v2.6/testing/cset/cset-1.1661.1.156-to-1.1668.txt.gz
makes no difference.

In file included from include/asm/pci.h:58,
                 from include/linux/pci.h:720,
                 from fs/compat_ioctl.c:58,
                 from arch/ia64/ia32/ia32_ioctl.c:15:
include/asm-generic/pci-dma-compat.h: In function `pci_dma_error':
include/asm-generic/pci-dma-compat.h:104: warning: implicit declaration of function `dma_error'

# grep DMA /build/kaos/2.6.5-rc2-kdb-v4.3-ia64/.config
CONFIG_BLK_DEV_IDEDMA_PCI=y
# CONFIG_BLK_DEV_IDEDMA_FORCED is not set
CONFIG_IDEDMA_PCI_AUTO=y
# CONFIG_IDEDMA_ONLYDISK is not set
CONFIG_BLK_DEV_ADMA=y
CONFIG_HPT34X_AUTODMA=y
CONFIG_BLK_DEV_IDEDMA=y
# CONFIG_IDEDMA_IVB is not set
CONFIG_IDEDMA_AUTO=y
# CONFIG_DMA_NONPCI is not set

-
To unsubscribe from this list: send the line "unsubscribe linux-ia64" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Received on Sun Mar 21 22:05:28 2004

This archive was generated by hypermail 2.1.8 : 2005-08-02 09:20:24 EST